<?php

namespace Tests\Feature\V3\CMMSMachine;

use App\Models\CMMSMachine;
use App\Models\User;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Foundation\Testing\WithFaker;
use Tests\TestCase;

class SearchTest extends TestCase
{
    use RefreshDatabase, WithFaker;
    /**
     * A basic feature test example.
     */
    public function test_user_can_search_through_machine_codes(): void
    {
        $user = User::factory()->create();

        $machine = CMMSMachine::factory()->create();

        $response = $this->actingAs($user)->getJson(route('v3.cmms_machines.search', [$machine->machine_code]));

        $response->assertOk();

        $response->assertJsonStructure([
            'data' => [
                '*' => [
                    "machine_code",
                ],
            ]
        ]);
    }
}
